#include <spdlog/spdlog.h>
#include "./set_trace_provider.hpp"

namespace lsp::providers::set_trace
{
    std::string SetTraceProvider::GetMethod() const
    {
        return "$/setTrace";
    }

    std::string SetTraceProvider::GetProviderName() const
    {
        return "SetTraceProvider";
    }

    void SetTraceProvider::HandleNotification(const protocol::NotificationMessage& notification, ProviderContext& context)
    {
        static_cast<void>(context);
        spdlog::debug("SetTraceProvider: Providing response for method {}", notification.method);
    }

}
